# Frameworks and compatibility

## cfg.ESX&#x20;

Set to ***true*** if you plan to use ESX Jobs to run the script, ***false*** if not applicable

```lua
cfg.ESX = true,
```

***

## cfg.QB&#x20;

Set to ***true*** if you plan to use QB Jobs to run the script, ***false*** if not applicable

```lua
cfg.QB = true,
```

***

## cfg.jobNames

Set the jobs which are allowed to use the medical part of the script (bags, oxygen ...). This will not affect the CPR part.

***BEFORE :***&#x20;

```lua
cfg.jobNames = {
    'firefighters',
}
```

***AFTER***&#x20;

```lua
cfg.jobNames = {
    'firefighters',
    'EMS',
    'Doctor',
}
```

***

## cfg.useCervicalCollar

Set to ***true*** if you have the cervical collar installed on the server. ***False*** by default.

```lua
cfg.useCervicalCollar = false,
```

***

## cfg.useDragDead

Set to ***true*** if you have the drag dead installed on the server. ***False*** by default.

<pre class="language-lua"><code class="lang-lua"><strong>cfg.useDragDead = true,
</strong></code></pre>

{% hint style="warning" %}
The start order in the cfg must be : \
\
ensure dragDead\
ensure cervicalCollar\
ensure medicalReanimation \
\
For the compatibility to be achieved correctly
{% endhint %}

***

## Revive Event

This is the event you should trigger in your revive functions (TX admin, ambulance job ...)\
\
\- ***Forced*** : sets if the script should force the revive event if player have stuff attached to him

<pre class="language-lua"><code class="lang-lua"><strong>--Client side
</strong><strong>TriggerEvent('pingouin:client:revive', forced --[[Bool]])
</strong></code></pre>

<pre><code><strong>--Server side
</strong><strong>TriggerClientEvent('pingouin:client:revive', cliendId, forced --[[Bool]])
</strong></code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pingouin.dev/scripts-docs/medical-reanimation-script/general-config/frameworks-and-compatibility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
